{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function rowexists, msg, post_event, set_property\r\ndeclare subroutine forward_event\r\n$insert msg_equates\r\n$insert p_names_equ\r\n\r\nif rowexists( 'P_NAMES', .seq->text ) then\r\n   * ok now did this user enter it or is Heather trying to snoop\r\n   if @user4 = xlate( 'P_NAMES', .seq->text, p_names_entry_id$, '' ) then\r\n      forward_event()\r\n   end else\r\n      Message = 'You are only allowed to view your own Personal Names.' \r\n      Message<micon$> = 'H'\r\n      Void = msg( '', Message )\r\n      .seq->text = ''\r\n      void = post_event( @window:'.SEQ', 'GOTFOCUS', '' )\r\n      void = set_property( @window:'.SEQ', 'FOCUS', 1 )\r\n   end\r\nend else\r\n   forward_event()\r\n   .entry_id->text = oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n   .entry_date->text = oconv( date(), 'D2/' )\r\nend\r\nRETURN 0"
        }
    }
}